#include "stm32l4xx.h"


#ifndef stepkaj_I2C_h
#define stepkaj_I2C_h



void I2C_init(void);
uint8_t I2C_transmit(uint16_t address, uint8_t *data, uint16_t cnt);
uint8_t I2C_receive(uint16_t address, uint8_t *data, uint16_t cnt);
uint8_t crc_8(uint8_t *data, uint16_t len);

#endif
